Protected Member Functions

# CvForestERTree Class Reference

`#include <ml.hpp>`

Inheritance diagram for CvForestERTree:

List of all members.

## Protected Member Functions
virtual double | calc_node_dir (CvDTreeNode *node)
virtual CvDTreeSplit * | find_split_cat_class (CvDTreeNode *n, int vi, float init_quality=0, CvDTreeSplit *_split=0, uchar *ext_buf=0)
virtual CvDTreeSplit * | find_split_cat_reg (CvDTreeNode *n, int vi, float init_quality=0, CvDTreeSplit *_split=0, uchar *ext_buf=0)
virtual CvDTreeSplit * | find_split_ord_class (CvDTreeNode *n, int vi, float init_quality=0, CvDTreeSplit *_split=0, uchar *ext_buf=0)
virtual CvDTreeSplit * | find_split_ord_reg (CvDTreeNode *n, int vi, float init_quality=0, CvDTreeSplit *_split=0, uchar *ext_buf=0)
virtual void | split_node_data (CvDTreeNode *n)

## Member Function Documentation

virtual double CvForestERTree::calc_node_dir | ( | CvDTreeNode * | node ) | `[protected, virtual]`

Reimplemented from CvDTree.

virtual CvDTreeSplit* CvForestERTree::find_split_cat_class | ( | CvDTreeNode * | n,
|  | int | vi,
|  | float | init_quality = `0`,
|  | CvDTreeSplit * | _split = `0`,
|  | uchar * | ext_buf = `0`
| ) |  | `[protected, virtual]`

Reimplemented from CvDTree.

virtual CvDTreeSplit* CvForestERTree::find_split_cat_reg | ( | CvDTreeNode * | n,
|  | int | vi,
|  | float | init_quality = `0`,
|  | CvDTreeSplit * | _split = `0`,
|  | uchar * | ext_buf = `0`
| ) |  | `[protected, virtual]`

Reimplemented from CvDTree.

virtual CvDTreeSplit* CvForestERTree::find_split_ord_class | ( | CvDTreeNode * | n,
|  | int | vi,
|  | float | init_quality = `0`,
|  | CvDTreeSplit * | _split = `0`,
|  | uchar * | ext_buf = `0`
| ) |  | `[protected, virtual]`

Reimplemented from CvDTree.

virtual CvDTreeSplit* CvForestERTree::find_split_ord_reg | ( | CvDTreeNode * | n,
|  | int | vi,
|  | float | init_quality = `0`,
|  | CvDTreeSplit * | _split = `0`,
|  | uchar * | ext_buf = `0`
| ) |  | `[protected, virtual]`

Reimplemented from CvDTree.

virtual void CvForestERTree::split_node_data | ( | CvDTreeNode * | n ) | `[protected, virtual]`

Reimplemented from CvDTree.

The documentation for this class was generated from the following file:

- C:/opt/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines